All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::Math< float2 > Struct Template Reference

## Public Types

typedef float | ScalarType

## Static Public Member Functions

static __device__ float2 | add (float2 a, float2 b)
static __device__ float2 | sub (float2 a, float2 b)
static __device__ float2 | add (float2 a, float b)
static __device__ float2 | sub (float2 a, float b)
static __device__ float2 | mul (float2 a, float2 b)
static __device__ float2 | mul (float2 a, float b)
static __device__ float2 | neg (float2 v)
static __device__ float | reduceAdd (float2 v)
| For a vector type, this is a horizontal add, returning sum(v_i)
static __device__ float2 | zero ()

## Detailed Description

### template<>
struct faiss::gpu::Math< float2 >

Definition at line 66 of file MathOperators.cuh.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/gpu/utils/MathOperators.cuh